Subject: Re: [RFC PATCH 0/2] Utility functions for duplicated pack(write) code

From: Junio C Hamano <[email-masked]>
Date: Thu, 19 May 2022 08:31:24 -0700

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> Minor cleanups thath would semantically & textually conflict with
> Taylor's
> https://lore.kernel.org/git/[email-masked]/; but
> which I noted while reading through it.

Very much appreciated that you marked this as RFC.

It is natural and easy to notice problems in the code that is in
flux, because it is inevitable for anybody working on the codebase
to see the changes in-flight and the original code as they review,
or as they make trial merges of their own work and see conflicts.

But making patches to address them immediately out of spinal reflex
would not help anybody.  Marking them as RFC and calling attention
by those involved in the "other topic" while the code being cleaned
up is still fresh in their mind makes it efficient to review the
clean-up while letting the "other topic" to either proceed without
clean-up or with it rolled in.